calling mplayerplug-in crashes mozilla-1.7

Help
skleene
2006-04-08
2013-05-13
  • skleene
    skleene
    2006-04-08

    I have been using a successful combination of mozilla-1.4 and mplayerplug-in-2.60-rhel3.i386 under Red Hat Enterprise WS3.  Because of a problem with the homepage at nytimes.com, I just upgraded Mozilla via mozilla-i686-pc-linux-gnu-1.7.12-installer.tar.gz.  The nytimes problem is fixed, but now Mozilla crashes anytime it tries to use mplayerplug-in.  For example, I have a QuickTime movie that still plays fine from mplayer but crashes when I try to open it within Mozilla.  The crash error is:

    /usr/local/mozilla/run-mozilla.sh: line 451: 10730 Segmentation fault      "$prog" ${1+"$@"}

    Since the new Mozilla was in /usr/local instead of /usr/lib, I did the following to make sure the new Mozilla would find the mplayerplug-in files:

    ln -s /usr/lib/mozilla/components/mplayerplug-in.xpt /usr/local/mozilla/components
    ln -s /usr/lib/mozilla/plugins/mplayerplug-in.so /usr/local/mozilla/plugins

    I'd be grateful for any suggestions on how to get this working again.

     
    • Kevin DeKorte
      Kevin DeKorte
      2006-04-09

      Why don't you try upgrading to a current version of mplayerplug-in... 3.21 is the most recent.

       
    • skleene
      skleene
      2006-04-09

      I just did that.  3.21 compiled OK after I added some includes to the Makefile, and it installed OK.  But calling the .mov via mplayerplug-in still crashes Mozilla.  It works fine if I view it directly with mplayer.

      There may be some other issues too.  Since I installed mozilla 1.7, I get a long error message if I call acroread as a plugin.  (The PDF displays successfully, but only after a long list of "Actions Not Found".)  And I've gotten a couple of errors about Netscape plugins from Mozilla.  I haven't solved any of these yet.